# IRremoteESP8266: src/ir_Amcor.h File Reference

ir_Amcor.h File Reference

Amcor A/C protocol. More...

Go to the source code of this file.

## Classes

union | AmcorProtocol
| Native representation of a Amcor A/C message. More...
class | IRAmcorAc
| Class for handling detailed Amcor A/C messages. More...

## Variables

const uint8_t | kAmcorFanMin = 0b001
const uint8_t | kAmcorFanMed = 0b010
const uint8_t | kAmcorFanMax = 0b011
const uint8_t | kAmcorFanAuto = 0b100
const uint8_t | kAmcorCool = 0b001
const uint8_t | kAmcorHeat = 0b010
const uint8_t | kAmcorFan = 0b011
const uint8_t | kAmcorDry = 0b100
const uint8_t | kAmcorAuto = 0b101
const uint8_t | kAmcorMinTemp = 12
const uint8_t | kAmcorMaxTemp = 32
const uint8_t | kAmcorPowerOn = 0b0011
const uint8_t | kAmcorPowerOff = 0b1100
const uint8_t | kAmcorMax = 0b11
const uint8_t | kAmcorVentOn = 0b11

## Detailed Description

Amcor A/C protocol.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/834

Remarks
  Kudos to ldellus; For the breakdown and mapping of the bit values.

## Variable Documentation

## kAmcorAuto

const uint8_t kAmcorAuto = 0b101

## kAmcorCool

const uint8_t kAmcorCool = 0b001

## kAmcorDry

const uint8_t kAmcorDry = 0b100

## kAmcorFan

const uint8_t kAmcorFan = 0b011

## kAmcorFanAuto

const uint8_t kAmcorFanAuto = 0b100

## kAmcorFanMax

const uint8_t kAmcorFanMax = 0b011

## kAmcorFanMed

const uint8_t kAmcorFanMed = 0b010

## kAmcorFanMin

const uint8_t kAmcorFanMin = 0b001

## kAmcorHeat

const uint8_t kAmcorHeat = 0b010

## kAmcorMax

const uint8_t kAmcorMax = 0b11

## kAmcorMaxTemp

const uint8_t kAmcorMaxTemp = 32

## kAmcorMinTemp

const uint8_t kAmcorMinTemp = 12

## kAmcorPowerOff

const uint8_t kAmcorPowerOff = 0b1100

## kAmcorPowerOn

const uint8_t kAmcorPowerOn = 0b0011

## kAmcorVentOn

const uint8_t kAmcorVentOn = 0b11